JFLAGS = -g
JC = javac
JD = javadoc
JVM= java  
.SUFFIXES: .java .class
.java.class:
	$(JC) $(JFLAGS) $*.java

CLASSES = \
	Forma.java \
	Point.java \
	Linea.java \
	Circulo.java \
	Rectangulo.java \
	Triangulo.java \
	Cruz.java \
	LineCreationHandler.java \
	RectangleCreationHandler.java \
	TriangleCreationHandler.java \
	CircleCreationHandler.java \
	SizeHandler.java \
	TranslationHandler.java \
	RotationHandler.java \
	MiMenuBar.java \
 	Dibujo.java \
	EditorFrame.java \
	Editor.java

MAIN = Editor

default: classes

classes: $(CLASSES:.java=.class)

run: 
	$(JVM) $(MAIN)

clean:
	$(RM) *.class

doc: 
	$(JD) -d doc -use -author -version -package *.java